package no.ntnu.idatt1002.demo.controller;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Label;
import javafx.scene.layout.Pane;
import no.ntnu.idatt1002.demo.data.recipes.RecipeIngredient;
import java.net.URL;
import java.util.ResourceBundle;

public class IngredientTileController implements Initializable {


    @FXML
    private Label text;

    @FXML
    private Pane ingredientPane;


    public void setData(RecipeIngredient ingredient) {
        StringBuilder sb = new StringBuilder();
        sb.append("# ").append(ingredient.getFoodType().label.substring(0,1).toUpperCase())
                .append(ingredient.getFoodType().label.substring(1));
        sb.append("  ").append(ingredient.getAmount()).append(" ").append(ingredient.getUnit().label);
        text.setText(String.valueOf(sb));
    }


    @Override
    public void initialize(URL url, ResourceBundle resourceBundle) {

    }
}
